Subject: Re: Long boot delay on 460EX with 2.6.28-rc8

From: Felix Radensky <[email-masked]>
Date: Thu, 18 Dec 2008 23:36:53 -0800 (PST)

Josh Boyer-3 wrote:
> 
> On Thu, Dec 18, 2008 at 02:29:52AM -0800, Felix Radensky wrote:
>>
> 
> 
> I booted on a canyonlands this morning (after having removed the brown
> paper bag that preventing me from booting it yesterday).  I saw no
> delay.
> 
> josh
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> 

Thanks a lot to everyone who replied. I've managed to identify the cause
of the delay. The board is equipped with 256 MiB Samsung NAND flash. 
Since NAND support is a must for this platform, I've intergated the ndfc
driver recently posted by Sean McLennan. With this driver enabled the delay
is present, without it messages appear on the console immediately.

Is this an expected behavior - detection of 256 MiB NAND flash
takes around 20 seconds. The ndfc driver works fine after boot.

Felix.
-- 
View this message in context: http://www.nabble.com/Long-boot-delay-on-460EX-with-2.6.28-rc8-tp21070179p21087072.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.